Skip to main content
POST
/
providers
/
installed
/
{org}
/
{name}
/
deploy
Deploy Provider
curl --request POST \
  --url https://api.example.com/providers/installed/{org}/{name}/deploy \
  --header 'Content-Type: application/json' \
  --data '
{
  "version": "<string>"
}
'
import requests

url = "https://api.example.com/providers/installed/{org}/{name}/deploy"

payload = { "version": "<string>" }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({version: '<string>'})
};

fetch('https://api.example.com/providers/installed/{org}/{name}/deploy', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "deployment_name": "<string>",
  "available_replicas": 0,
  "ready_replicas": 0,
  "image": "<string>",
  "version": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "message": "<string>"
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Path Parameters

org
string
required
name
string
required

Body

application/json
version
string | null

Response

Successful Response

Internal result of a deployment status query from Kubernetes.

Contains all K8s-specific details. Use ProviderStatus for external API.

Attributes: deployment_name: Name of the Kubernetes Deployment. status: Current deployment status. available_replicas: Number of available replicas. ready_replicas: Number of ready replicas. image: Container image reference (e.g., registry/image:version). version: CalVer version string of deployed build. updated_at: Last update timestamp from deployment conditions. message: Status message or error details.

deployment_name
string
required
status
enum<string>
required

Status of a provider deployment.

Available options:
pending,
progressing,
available,
failed
available_replicas
integer
default:0
ready_replicas
integer
default:0
image
string | null
version
string | null
updated_at
string<date-time> | null
message
string | null